
ClosetGnome_Tooltip = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceEvent-2.0", "AceHook-2.1")

local addon = ClosetGnome_Tooltip

local item2set = {}

function addon:OnEnable()
	if not ClosetGnome then return end
	self:CacheSets()
	self:RegisterEvent("ClosetGnome_AddSet", "CacheSets")
	self:RegisterEvent("ClosetGnome_UpdateSet", "CacheSets")
	self:RegisterEvent("ClosetGnome_DeleteSet", "CacheSets")
	self:HookScript(GameTooltip, "OnTooltipSetItem")	
end

-- ripped somewhat from closetgnome baggins
function addon:CacheSets()
	local i, set, item
	local sets = ClosetGnome.db.char.set
	
	item2set = {} -- clear
	
	for setname, set in pairs(sets) do
		for i=0,19 do
			if set[i] then
				item = set[i]
				if not item2set[item] then
					item2set[item] = setname
				else
					item2set[item] = item2set[item]..", "..setname
				end
			end
		end
	end
end

function addon:OnTooltipSetItem(tooltip, ...)
	local linkItem = select(2, tooltip:GetItem())
	if item2set[linkItem] then
		tooltip:AddDoubleLine("ClosetGnome", item2set[linkItem])
	end
	return self.hooks[tooltip].OnTooltipSetItem(tooltip, ...)
end





